< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600a
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600a
-  package formats
  Definition Classes
    v3
-  package retriever
  Definition Classes
    v3
- A1
- A15
- A2
- A20
- A3
- A30
- A35
- A4
- A40
- A45
- A5
- A55
- A55Inverse
- A60
- A60Inverse
- A65
- A65Inverse
- A70
- A70Inverse
- A75
- A80
- LP04
- LPQ01
- LPQ03
- LPQ04
- LPQ07
- LPQ08
- LPQ10
- Loan
- LoansDateRules
- LoansToParticipators
- Repayment
- WriteOff

o

uk.gov.hmrc.ct.ct600a.v3

# A3 

###
Companion class A3

#### object A3 extends Linked[B30, A3] with Serializable

Linear Supertypes
Serializable, Serializable, Linked[B30, A3], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. A3
2. Serializable
3. Serializable
4. Linked
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(source: B30): A3
   Definition Classes
     A3 → Linked
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Linked[B30, A3]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped